$(function () {
    getTableData()
})

//降序排列
function sortDesc() {
    if ($("#boxShadow").hasClass('shadowlight')) {
        $("#boxShadow").removeAttr('class')
        $("#boxShadow").attr('class','shadow')
        getTableData()
    }else {
        $("#boxShadow").removeAttr('class')
        $("#boxShadow").attr('class','shadowlight')
        var sorting='desc'
        if ($("#title").val().length > 50) {
            swal("失败！",'输入字符过多!', "error")
        } else {
            $.ajax({
                url: webroot + "questionnaire/selectPerformanceSummaryList",
                method: "GET",
                datatype: "json",
                data: {
                    "optinName": $("#title").val(),
                    "sorting":sorting
                },
                success: (res) => {
                    $("tbody").empty()
                    for (let i = 0; i < res.data.performanceSummaryList.length; i++) {
                        $("tbody").append(
                            "<tr>" +
                            "<td>" + (i + 1) + "</td>" +
                            "<td>" + res.data.performanceSummaryList[i].optinName + "</td>" +
                            "<td>" + res.data.performanceSummaryList[i].basicIndicators + "</td>" +
                            "<td>" + res.data.performanceSummaryList[i].guideIndicators + "</td>" +
                            "<td>" + res.data.performanceSummaryList[i].rewardIndicators + "</td>" +
                            "<td>" + res.data.performanceSummaryList[i].totalScore + "</td>" +
                            "</tr>"
                        )
                    }

                },
                error: () => {
                    swal("失败！",'网络有问题，稍后再试', "error")
                }
            })
        }
    }

}

//升序排列
function sortAsc() {
    var sorting='asc'
    if ($("#title").val().length > 50) {
        swal("失败！",'输入字符过多', "error")
    } else {
        $.ajax({
            url:webroot + "questionnaire/selectPerformanceSummaryList",
            method: "GET",
            datatype: "json",
            data: {
                "optinName": $("#title").val(),
                "sorting":sorting
            },
            success: (res) => {
                $("tbody").empty()
                for (let i = 0; i < res.data.performanceSummaryList.length; i++) {
                    $("tbody").append(
                        "<tr>" +
                        "<td>" + (i + 1) + "</td>" +
                        "<td>" + res.data.performanceSummaryList[i].optinName + "</td>" +
                        "<td>" + res.data.performanceSummaryList[i].basicIndicators + "</td>" +
                        "<td>" + res.data.performanceSummaryList[i].guideIndicators + "</td>" +
                        "<td>" + res.data.performanceSummaryList[i].rewardIndicators + "</td>" +
                        "<td>" + res.data.performanceSummaryList[i].totalScore + "</td>" +
                        "</tr>"
                    )
                }

            },
            error: () => {
                swal("失败！",'网络有问题，稍后再试', "error")
            }
        })
    }

}



//导出汇总文件
function reform_DIV_Export() {
    showLoading()
    var url = webroot+"questionnaire/exportPerformanceSummary";
    var xhr = new XMLHttpRequest();
    xhr.open('GET', url, true);    // 也可以使用POST方式，根据接口
    xhr.responseType = "blob";  // 返回类型blob
    // 定义请求完成的处理函数，请求前也可以增加加载框/禁用下载按钮逻辑
    xhr.onload = function () {
        // 请求完成
        if (this.status === 200) {
            // 返回200
            var blob = this.response;
            var reader = new FileReader();
            reader.readAsDataURL(blob);  // 转换为base64，可以直接放入a表情href
            reader.onload = function (e) {
                // 转换完成，创建一个a标签用于下载
                var a = document.createElement('a');
                a.download = '绩效汇总表.xls';
                a.href = e.target.result;
                $("body").append(a);  // 修复firefox中无法触发click
                a.click();
                $(a).remove();
                hideLoading()
            }
        }else {
            hideLoading()
            swal("失败！", '网络错误，稍后再试', "error");
        }
    };
    // 发送ajax请求
    xhr.send()
}

//搜索标题内容
function search() {
    if ($("#title").val().length > 50) {
        swal("失败！",'输入字符过多', "error")
    } else {
        getTableData()
    }
}

//获取列表详细信息
function getTableData() {
    $.ajax({
        url: webroot + "questionnaire/selectPerformanceSummaryList",
        method: "GET",
        datatype: "json",
        data:{
            "optinName": $("#title").val(),
        },
        success: (res) => {
            $("tbody").empty()
            for (let i = 0; i < res.data.performanceSummaryList.length; i++) {
                $("tbody").append(
                    "<tr>" +
                    "<td>" + (i + 1) + "</td>" +
                    "<td>" + res.data.performanceSummaryList[i].optinName + "</td>" +
                    "<td>" + res.data.performanceSummaryList[i].basicIndicators + "</td>" +
                    "<td>" + res.data.performanceSummaryList[i].guideIndicators + "</td>" +
                    "<td>" + res.data.performanceSummaryList[i].rewardIndicators + "</td>" +
                    "<td>" + res.data.performanceSummaryList[i].totalScore + "</td>" +
                    "</tr>"
                )
            }

        },
        error: () => {
            swal("失败！",'网络有问题，稍后再试', "error")
        }
    })

}

showLoading = function(){
    $('#loadingModal').modal({backdrop: 'static', keyboard: false});
}
hideLoading = function(){
    $('#loadingModal').modal('hide');
}